Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillReportTemplate

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillReportTemplate

All Implemented Interfaces:
  JRReportTemplate

    public class JRFillReportTemplate

extends java.lang.Object
implements JRReportTemplate

Fill-time `JRReportTemplate` implementation.

Used to evaluate template source expressions.

Version:
  $Id: JRFillReportTemplate.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRFillReportTemplate(JRReportTemplate template, JRBaseFiller filler, JRFillObjectFactory factory)`

Method Summary
`JRTemplate` | `evaluate()`
`JRExpression` | `getSourceExpression()` Returns the template source expression.
`protected static JRTemplate` | `loadTemplate(java.lang.Object source, java.lang.Class sourceType, JRFillContext fillContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRFillReportTemplate

    public JRFillReportTemplate(JRReportTemplate template,
                                JRBaseFiller filler,
                                JRFillObjectFactory factory)

Method Detail

### getSourceExpression

    public JRExpression getSourceExpression()

  Description copied from interface: `JRReportTemplate`
  Returns the template source expression.

  The expression type should be (compatible with) one of `java.lang.String`, `java.io.File`, `java.net.URL`, `java.io.InputStream` (in which cases the template is loaded via `JRXmlTemplateLoader`) or `net.sf.jasperreports.engine.JRTemplate` .

  Specified by:
    `getSourceExpression` in interface `JRReportTemplate`
  Returns:
    the template source expression

### evaluate

    public JRTemplate evaluate()
                        throws JRException

  Throws:
    `JRException`

### loadTemplate

    protected static JRTemplate loadTemplate(java.lang.Object source,
                                             java.lang.Class sourceType,
                                             JRFillContext fillContext)
                                      throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com